#!/bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2011. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.

CUR_DIR=`pwd`

SH_R_DIR=`dirname ${0}`
cd "$SH_R_DIR/../../../"

WAS_HOME=`pwd`

export WAS_HOME

#WASDIR=`pwd`
#REPLACE_WAS_HOME=$WASDIR
#. $WASDIR/bin/setupCmdLine.sh

cd "$CUR_DIR"

MONCP1="$WAS_HOME/plugins/com.ibm.wbimonitor.actionmgr.jar"
MONCP2="$WAS_HOME/plugins/com.ibm.wbimonitor.persistence.jar"
MONCP3="$WAS_HOME/plugins/com.ibm.wbimonitor.repository.jar"
MONCP4="$WAS_HOME/plugins/com.ibm.wbimonitor.util.jar"
MONCP5="$WAS_HOME/scripts.wbm/migration/4.2.4_6.0.2/monrepository.jar"
MONCP6="$WAS_HOME/deploytool.wbm/plugins/com.ibm.websphere.v61_6.1.200.v20090109_1429/ws_runtime.jar"
MONCP8="$WAS_HOME/scripts.wbm/migration/4.2.4_6.0.2/monModel.jar"
MONCPA="$WAS_HOME/scripts.wbm/migration/4.2.4_6.0.2/jdom.jar"
MONCPB="$WAS_HOME/java/jre/lib/ext/ibmjceprovider.jar"
MONCPC="$WAS_HOME/scripts.wbm/migration/4.2.4_6.0.2/ModelMerge.jar"

JAVA="$WAS_HOME/java/jre/bin/java"

monMigrationClasspath="$MONCPB:$WAS_HOME/scripts.wbm/migration/4.2.4_6.0.2/com.ibm.wbimonitor.migration_7.5.0.jar:$MONCP1:$MONCP2:$MONCP3:$MONCP4:$MONCP5:$MONCP6:$MONCP8:$MONCPA:$MONCPC"

"$JAVA" -cp "$monMigrationClasspath" com.ibm.wbimonitor.migration.wizard.Wizard
